using System;
using System.Collections;
using System.Collections.Specialized;
using ms.aq.cview.util;

namespace ms.aq.cview.query {
    
    public interface QueryFactory {
        StringCollection GetSelections(SelectionSets sSets, Hashtable ftmap, Hashtable ahs,object extended);
        string GetGroupBy(SelectionSets sSets, Hashtable ftmap, Hashtable ahs);
        StringCollection CreateConditions(SelectionSets sSets, Hashtable ahs, Hashtable hmap, Hashtable ftmap);
    }
}